Android 14 будет блокировать установку устаревших приложений

Android

В проекте Android Open Source Project (AOSP) появилось изменение, которое ужесточает требование системы к версии SDK устанавливаемого приложения.

В следующей версии операционной системы новый механизм будет блокировать установку программ, которые созданы для слишком старых версий Android. Со временем порог будет увеличен до Android 6.0 Marshmallow; механизм содержит инструмент для изменения этого лимита.

«Это изменение помогает повысить безопасность и конфиденциальность, поскольку вредоносное ПО может специально использовать более старые версии SDK, чтобы избежать принудительного применения современных API», — из комментариев к изменению кода в AOSP.

Уточняется, что пользователь сможет обойти ограничение через ввод специальной команды в командной строке.

Google постепенно ужесточает требования к публикуемым в Google Play приложениям. Сейчас в магазине могут размещаться программы, написанные как минимум под Android 12.

Псссс..!! Если вам понравилcя этот материал, подписывайтесь на наши странички в «Вконтакте» или «Твиттер» и следите за последними обновлениями.

Если вы нашли ошибку, пожалуйста, выделите фрагмент текста и нажмите Ctrl+Enter.

Сообщить об опечатке

Текст, который будет отправлен нашим редакторам: